Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001193Core InformAssertions and creationspublic2014-02-11 14:442014-05-07 07:33
Assigned Tograham 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001193: Parts of assemblies without names are not implicitly named.
DescriptionIf an assembly is attached to a kind of thing, and a member of that kind is created without a name, the standard naming convention for assemblies ("the foo's bar") is ignored and the substituent remains nameless (simply called "the bar").
Minimal Source Text To Reproduce
A foo is a kind of thing. A bar is a kind of thing. A bar is part of every foo.

The description of a foo is "Attached to [the item described] is [a list of things incorporated 
by the item described]."

The Test Chamber is a room. In the test chamber is a foo called baz. In the test chamber is a foo.

Test me with "examine baz / examine baz's bar / examine foo / examine foo's bar / examine bar".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
EmacsUser (manager)
2014-02-11 17:31

Tentatively confirmed, though it's not clear whether the anonymous foo's supplied name qualifies as its name for the purposes of WI 4.15.1b. This may instead be a documentation bug.
graham (administrator)
2014-05-04 09:15

Well - I think this is correct, in fact, and that it's probably best for a component part of something known only by its common noun to be similarly known only by its common noun.

- Issue History
Date Modified Username Field Change
2014-02-11 14:44 Draconis New Issue
2014-02-11 17:27 EmacsUser Status new => confirmed
2014-02-11 17:27 EmacsUser Category Model world => Assertions and creations
2014-02-11 17:31 EmacsUser Note Added: 0002480
2014-05-04 09:15 graham Note Added: 0002660
2014-05-04 09:15 graham Status confirmed => resolved
2014-05-04 09:15 graham Resolution open => fixed
2014-05-04 09:15 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker